support for new atheros wifi chipset - AR2427/ath9k

Bug #521967 reported by Rolf Leggewie on 2010-02-15
116
This bug affects 22 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
linux-backports-modules-2.6.31 (Ubuntu)
Medium
Unassigned
Declined for Dapper by Jeremy Foshee
Declined for Hardy by Jeremy Foshee
Declined for Intrepid by Jeremy Foshee
Declined for Jaunty by Jeremy Foshee
Declined for Karmic by Jeremy Foshee
Declined for Maverick by Jeremy Foshee
Lucid
Medium
Unassigned
linux-backports-modules-2.6.32 (Ubuntu)
Medium
Unassigned
Declined for Dapper by Jeremy Foshee
Declined for Hardy by Jeremy Foshee
Declined for Intrepid by Jeremy Foshee
Declined for Jaunty by Jeremy Foshee
Declined for Karmic by Jeremy Foshee
Declined for Maverick by Jeremy Foshee
Lucid
Medium
Unassigned

Bug Description

asus has released a number of new pinetrail-based netbooks like the 1001p and 1005p that have a wifi chipset that still lacks OOTB support in all Ubuntu kernels. An upstream patch is available and I think it would be very important to have proper support for these netbooks' wifi in lucid. Users currently need to resort to ndiswrapper.

discussion upstream:
http://bugzilla.kernel.org/show_bug.cgi?id=15180

patch to cherry-pick:
http://git.kernel.org/?p=linux/kernel/git/linville/wireless-next-2.6.git;a=commit;h=5ffaf8a361b4c9025963959a744f21d8173c7669

status update
========
while we're all waiting for the devs to finally fix this, feel free to grab a patched kernel from https://launchpad.net/~r0lf/+archive/ppa/+sourcepub/1123757/+listing-archive-extra

Rolf Leggewie (r0lf) on 2010-02-15
tags: added: patch
Changed in linux (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in linux:
status: Unknown → Fix Released
Rolf Leggewie (r0lf) wrote :

targetting to lucid, I think we want to support this popular netbook properly at release time in the latest

Changed in linux (Ubuntu):
milestone: none → ubuntu-10.04
Tim Gardner (timg-tpi) wrote :

These changes will show up in the 2.6.34 based compat-wireless package (linux-backports-modules-wireless) for Lucid.

affects: linux (Ubuntu Lucid) → linux-backports-modules-2.6.32 (Ubuntu Lucid)
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
importance: High → Medium
Rolf Leggewie (r0lf) on 2010-02-24
Changed in linux-backports-modules-2.6.31 (Ubuntu Lucid):
status: New → Triaged
importance: Undecided → Medium
Rolf Leggewie (r0lf) on 2010-03-24
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
milestone: ubuntu-10.04 → ubuntu-10.04-beta-1
Colin Watson (cjwatson) on 2010-03-29
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-1 → ubuntu-10.04-beta-2
khunter (obsolete-fax) wrote :

The chip name is Atheros AR2427 (from Windows 7 Device Manager).

I have Eee PC 1001P Netbook I purchased recently from Amazon (2 months back).

The reason I purchased this one is because it had the newer Intel Atom Chipset: N450. (older netbooks had N270)

I am running Ubuntu 9.10.

Is there a way I can install this driver without using ndiswrapper?

khunter (obsolete-fax) wrote :

"I also need to get this working and would prefer not to use ndiswrapper. I have the Asus 1005PE which uses AR2427 chipset. I compiled the ath5k ok, and can modprobe it without an error, but the device is simply not seen, nothing in ifconfig, nothing in iwconfig and as far as I can tell, nothing pertaining to the wifi chip in dmesg after boot. ath5k is not blacklisted. " from http://ubuntuforums.org/showthread.php?p=9093239

Rolf Leggewie (r0lf) wrote :

khuner, it doesn't really help to nominate for all releases out there when this isn't even yet officially fixed in lucid.

To answer your question, yes, you can compile the driver yourself until Ubuntu fixes this issue officially (hopefully soon). The upstream ticket and especially http://wireless.kernel.org/en/users/Download should have all the information you need. But it does take some skill to resolve issues should they occur at compile time. Sorry, I can't offer support for that. But I can tell you that I've been compiling this on my own and successully running the driver in lucid for quite a few kernel updates now.

BTW, I have the same netbook as you. But I think as far as this ticket is concerned all the 100x pinetrail netbooks from ASUS are the same.

Rolf Leggewie (r0lf) wrote :

khuner, most of your nominations make no sense at all since 2.6.31 and 2.6.32 are not available prior to karmic. I'll admit to being guilty of the same mistake, but at least I constrained myself to a much more sensible set (n=1) ;-)

Steve Langasek (vorlon) on 2010-04-10
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-2 → lucid-updates
khunter (obsolete-fax) wrote :

By "2.6.31 and 2.6.32 are not available prior to karmic" are you referring to the Linux Kernel version?

Bernhard Reiter (ockham-razor) wrote :

Steve, is it really a good idea to postpone this to lucid-updates? I guess there's going to be some more pinetrail-based netbooks around in the next months, and their users might not be to happy to see their Wifi doesn't work OOTB with Lucid...

Rolf Leggewie (r0lf) wrote :

I strongly agree with Bernhard. This will certainly be leaving lucid in a bad light. I believe it's bad enough if users will have to install the backports-modules package to get things working, which AFAIU is not in a default install. But if on top of that they'll have to also add another repository (I believe -updates isn't enabled by default, either) you're looking at hordes of frustrated users I'm afraid.

What's holding this back? As I've said numerous times, I'm happily using the upstream patch for a while now. There is also an adapted version for the 2.6.32 kernel. I think it needs some minor tweaking to cleanly apply on top of the Ubuntu patches. I do have such a version. I'd happily provide a debdiff, but kernel building in Ubuntu has become increasingly difficult during the last couple of releases to the point that I believe only the people doing it everyday can accomplish the task during a reasonable time span.

I've been trying to compile a Ubuntu kernel from git with the patch applied. When I overcome the hurdles, I'll be happy to upload that kernel to my PPA and publish my git tree somewhere.

khunter (obsolete-fax) wrote :

http://wireless.kernel.org/en/users/Download

I downloaded compat-wireless-2008-03-25.tar.bz2.

I did tar jxvf on the archive.

cd compat-wireless-$(date -I)
make

then

sudo make install

then

sudo make unload

then I restarted my computer.

The network manager GUI doesn't let me configure anything.

iwconfig states there is no wlan interface!

I connect my USB Wifi chip and now that also doesn't work! The whole Wifi system is gone!

How did you install the driver?

khunter (obsolete-fax) wrote :

edit: it was the latest build: compat-wireless-2010-04-25.tar.bz2

khunter (obsolete-fax) wrote :

asus@Asus:~/Downloads/compat-wireless-2010-04-26$ sudo modprobe ath9k

WARNING: Error inserting ath9k_hw (/lib/modules/2.6.31-20-generic/updates/drivers/net/wireless/ath/ath9k/ath9k_hw.ko): Unknown symbol in module, or unknown parameter (see dmesg)

WARNING: Error inserting ath9k_common (/lib/modules/2.6.31-20-generic/updates/drivers/net/wireless/ath/ath9k/ath9k_common.ko): Unknown symbol in module, or unknown parameter (see dmesg)

WARNING: Error inserting mac80211 (/lib/modules/2.6.31-20-generic/updates/cw/mac80211.ko): Unknown symbol in module, or unknown parameter (see dmesg)

FATAL: Error inserting ath9k (/lib/modules/2.6.31-20-generic/updates/drivers/net/wireless/ath/ath9k/ath9k.ko): Unknown symbol in module, or unknown parameter (see dmesg)

asus@Asus:~/Downloads/compat-wireless-2010-04-26$

Steffen (fragone) on 2010-04-27
Changed in linux:
importance: Unknown → Undecided
status: Fix Released → New
khunter (obsolete-fax) wrote :

@frag1get1free:

Please explain why you made changes to the bug status?

khunter (obsolete-fax) on 2010-04-27
summary: - support for new atheros wifi chipset
+ support for new atheros wifi chipset - AR2427/ath9k
Rolf Leggewie (r0lf) wrote :

frag1get1free, please refrain from making changes when you obviously don't understand what they mean. It only makes it more difficult to actually fix this issue.

Changed in linux:
importance: Undecided → Unknown
status: New → Unknown
Rolf Leggewie (r0lf) wrote :

the attached patch is adopted from upstream (see upstream bug ticket) to apply cleanly to the lucid kernel. I've verified both compilation and actual function of the wifi device. Please apply this patch soon, it was made against git a01dcdc5a3d44bfbd47646c2cea65779e005e9c1

Rolf Leggewie (r0lf) wrote :

I have build and installed the patched kernel package locally. I'm not building it in the PPA as well: https://launchpad.net/~r0lf/+archive/melo

khunter (obsolete-fax) wrote :

Can you make patch for Ubuntu 9.10?

I am still stuck trying to install the driver: http://ubuntuforums.org/showthread.php?t=1396854&page=2

See last page for output of all commands.

CaptSaltyJack (csjubuntu) wrote :

Hey look, I realize Ubuntu is free.. and I usually buy each version to donate. But, I'm really disappointed the final 10.04 release did not fix this issue. My 1001P still cannot use the wireless adapter OOTB, and I have no idea how to fix this. This has been a known issue quite some time, did no one think it was important enough to address or what? Especially with such a popular netbook line as the Eee PCs, I would've expected this to be resolved.

Rolf Leggewie (r0lf) wrote :

Capt'n'SaltyJack, I understand and sympathize with your frustrations. I tried to do my best as an ordinary user. But I agree with you that the official Ubuntu devs didn't do well here. Unfortunately, it's something I've been experiencing a lot lately, where even ready-to-apply patches lingered for more than a release. I put this problem on the radar very early on in the cycle and nudged it forward whenever I could. I repeatedly poked the devs about it in IRC. Nada, no reaction at all. Upstream was very swift and it is a real shame the Ubuntu devs didn't get their a** up to ship it in the final release. The necessary effort on their end was really minimal.

That said, the kernel package in my PPA is still waiting to be built. Once that's done, grab the kernel from there (or compile the dsc yourself in pbuilder). That will get you a working ath9k module out of the box. I should tell you though, that I've had some issues with stability of the wifi link when running VoIP over it. I haven't yet reported that, I wanted to get others to be able to test this first.

Rolf Leggewie (r0lf) wrote :

It looks like the amd64 build already finished. the i386 is scheduled to start in a few hours. So, you should probably be able to grab an i386 kernel from my Melo PPA in about 10 hours (the device is actually 64bit, so if you have installed your netbook as a 64bit system, go right ahead and grab the already available kernel). Be aware that lucid has released a new kernel with a newer version. Jugding from a quick glance at the changelog, I think my kernel is basically the latest lucid kernel (got it from git) plus the necessary patch. The version for my kernel is purposefully lower, you will need to make sure to install my version, keep it from being overwritten and ensure it's the one that gets booted until lucid releases a new kernel with the patch applied.

Rolf Leggewie (r0lf) wrote :

I had a chat with the kernel devs in #ubuntu-kernel to ask for a time-frame. People should not expect this to hit in May and there is even a chance this will be left unfixed past June (OMG!)

I may release patched kernel in my PPA (the normal one from now on) from time to time. Feel free to grab those. You may want to hang on to them rather than always running the latest lucid kernel.

CaptSaltyJack (csjubuntu) wrote :

Hey, it's cool, Rolf. I personally don't mind if I have to apply some kind of fix to get it working since I'm an advanced user, but my concern is for the whole state of Ubuntu and making it "ready for prime time." This is one of the big reasons Ubuntu is NOT ready for prime time, launching 10.04 (LTS, mind you) partially broken out of the box. It just seems logical that the Ubuntu dev team would snatch up any new Asus Eee models and test the earlier 10.04 builds on those machines to make sure they work, because Eee PC + Linux is such a hot combo. Makes me wonder what the heck they were testing 10.04 on!

Anyway, enough bitching from me. :) Rolf, could you please tell me how I can get wireless working?

Zach (zachary-burke) wrote :

I have an EEE 1000 and also had wireless broken out of the box. The following rough steps are what I did to get it working again. Note these instructions are specifically for devices using the RT2860, you can look at the output of lspci to determine whether you have the RT2860 wireless card in your netbook.

Note: You may need to first run 'sudo apt-get install build-essential' before following these instructions. So get out your ethernet cable and plug-in.

Step 1. Download the latest driver source from www.ralinktech.com under Software->Linux. The driver I downloaded was:
RT2860PCI/mPCI/CB/PCIe(RT2760/RT2790/RT2860/RT2890) 01/29/2010 2.3.0.0

Step 2. Decompress the driver source:
bzip2 -d <file>.bz2
tar -xvf <file>.tar

Step 3. Go into the driver source directory that you just extracted, I will call this "driver-root" from now on.
Step 4. Edit os/linux/config.mk to enable WPA. Find the lines:
# Support wpa_supplicant
HAS_WPA_SUPPLICANT = n

# Support for Native WpaSupplicant Network Maganger
HAS_NATIVE_WPA_SUPPLICANT_SUPPORT = n

Change them to:
# Support wpa_supplicant
HAS_WPA_SUPPLICANT = y

# Support for Native WpaSupplicant Network Maganger
HAS_NATIVE_WPA_SUPPLICANT_SUPPORT = Y

Step 5. Go to the driver-root and run 'make'.
Step 6. Disable wireless by right-clicking on networking and unchecking wireless
Step 7. Remove the existing rt2860sta module:
sudo rmmod rt2860sta

Step 8. Run 'sudo make install' from driver-root
Step 9. Install the module by running 'sudo modprobe rt2860sta'
Step 10. Use the gui to re-enable wireless and connect to your network.

Hope this helps.

On 03.05.2010 21:19, CaptSaltyJack wrote:
> Rolf, could you please tell me how I can get wireless working?

Fairly easy now. As I said before, just grab the kernel from my PPA
https://launchpad.net/~r0lf/+archive/ppa and use that instead of the one
shipping in the official repo.

Rolf Leggewie (r0lf) wrote :

On 04.05.2010 02:01, Zach wrote:
> I have an EEE 1000 and also had wireless broken out of the box. The
> following rough steps are what I did to get it working again. Note
> these instructions are specifically for devices using the RT2860

Zach, thank you for your comment. But you hit the wrong ticket, I
think. You don't seem to have an Atheros-based device. I suggest you
just create your own ticket on bugzilla.kernel.org to get support for
your wifi in Linux.

CaptSaltyJack (csjubuntu) wrote :

Thanks, Rolf, you rock! Yay, Rolf.. boo, developers. ;)

BTW, do I just follow the instructions on that page on how to install the PPA? Add ppa:r0lf/ppa to the repo and do an apt-get update followed by apt-get upgrade?

ekeyme (ekeyme) wrote :

Hi, Rolf. I may also don't know how is the next step going after adding the your PPA.

khunter (obsolete-fax) wrote :

@CaptSaltyJack & @ekeyme:

You go to "Software Sources" in Administration.

Go to "Other Software"

Add the following line:

deb http://ppa.launchpad.net/r0lf/ppa/ubuntu lucid main

Then go to "Update Manager" and when you run update.

khunter (obsolete-fax) wrote :

edit: when = then

ekeyme (ekeyme) wrote :

!!!
Failed to fetch http://ppa.launchpad.net/rolf/ppa/ubuntu/dists/lucid/main/binary-i386/Packages.gz 404 Not Found
Some index files failed to download, they have been ignored, or old ones used instead.

ekeyme (ekeyme) wrote :

@CaptSaltyJack how is yours going?

CaptSaltyJack (csjubuntu) wrote :

Haven't tried yet, too busy this week with work. BTW, ekeyme, it's r0lf with a zero, not rolf. That could be your problem.

Rolf Leggewie (r0lf) on 2010-05-05
description: updated
ekeyme (ekeyme) wrote :

@Rolf Leggewie update the kernel version to 2.6.33.3, can solve this BUG?

CaptSaltyJack (csjubuntu) wrote :

I saw on the kernel bugzilla site, that the patch is "upstream" now. Does that mean running apt-get update/upgrade will fix the bug?

ekeyme (ekeyme) wrote :

@CaptSaltyJack I had tried it may not work. And I get it work in this Posting way, may it work to yours .
http://www.jameslittle.me.uk/asus-1005pe-ubuntu/
Chinese posting may have more detail: http://docs.google.com/document/edit?id=1Ib9FC2FvvVh0s4cLHlRT0c4IkBz-5ikOpCipRsluAKY&hl=zh_CN

This is solved in Linux kernel 2.6.34. I don't know if the patch ever made into 2.6.33.x, but I think it didn't. Anyway, checking the changelog at kernel.org will answer that question for you. I wrote a simple howto in the past regarding this issue, it might help you, even if I've heard of some people to whom this solution didn't work:
http://mindboosternoori.blogspot.com/2010/03/howto-have-wireless-working-on-asus-eee.html

Anyway, any Ubuntu kernel >= 2.6.34 should make this work. Take into account that Maverik (Ubuntu 10.10) is planned to be released with 2.6.35.

Just saw that a 2.6.34 built by Ubuntu's kernel team is available here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/

khunter (obsolete-fax) wrote :

Installation of Kernel 2.6.34-020634 solves this problem, but it adds new problem, that the webcam driver is not recognized anymore.

To Install Kernel 2.6.34:

Download then install in the following order:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/linux-headers-2.6.34-020634_2.6.34-020634_all.deb
http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/linux-headers-2.6.34-020634-generic_2.6.34-020634_i386.deb
http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-lucid/linux-image-2.6.34-020634-generic_2.6.34-020634_i386.deb

Then run:

sudo grub-update

Vasily Kulikov (segooon) wrote :

I'm using eee PC 1005PE,

vasya@shinshilla:~/dev/compat-wireless-2010-05-24$ lspci -nn -s 2:0
02:00.0 Network controller [0280]: Atheros Communications Inc. Device [168c:002c] (rev 01)

Manual compilation of compat-wireless-2010-05-24 solves the problem.

Jeremy Foshee (jeremyfoshee) wrote :

Declining the Maverick specific nomination for now and leaving this open against the actively developed Ubuntu kernel (which happens to be Maverick at this time). Will re-open the nomination should a fix be narrowed down which we can confirm specifically resolves this issue in Maverick.

tags: added: kernel-needs-review kernel-net
Rolf Leggewie (r0lf) wrote :

Jeremy, your last comment makes no sense. But then again, so does the shameful non-handling of this whole issue by the kernel team when they had everything delivered on a silver platter. Jeremy, I have to wonder, what exactly are you expecting? You don't even see the silver platter, do you?

I feel I've done much more than my share. If the guys with the power are even too lazy to read this ticket, I'm also going to stop bothering. The problem is fixed for me. What do I care about Ubuntu?

roberto (robertobrb) on 2010-12-05
Changed in linux-backports-modules-2.6.31 (Ubuntu):
status: Triaged → Confirmed
Changed in linux:
status: Unknown → Fix Released
Changed in linux:
importance: Unknown → Medium
BlackSir (blacksir) wrote :

Still doesn't work natively with 2.6.35-27

Rolf Leggewie (r0lf) on 2012-05-08
Changed in linux-backports-modules-2.6.31 (Ubuntu Lucid):
status: Triaged → Won't Fix
Changed in linux-backports-modules-2.6.31 (Ubuntu):
status: Confirmed → Won't Fix
Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.